summaryrefslogtreecommitdiffstats
path: root/installer/opengnsys_update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'installer/opengnsys_update.sh')
-rwxr-xr-xinstaller/opengnsys_update.sh28
1 files changed, 20 insertions, 8 deletions
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index b562c9cf..29cdb910 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -1056,17 +1056,29 @@ function moveNewService()
# Recompilar y actualiza los serivicios y clientes.
-function compileServices()
+function ogServerCompilation()
{
- local hayErrores=0
+ local ogserverUrl="https://codeload.github.com/opengnsys/ogServer/zip/$BRANCH"
+ local error=0
+
+ echoAndLog "${FUNCNAME}(): downloading ogServer code..."
+
+ if ! (curl "${ogserverUrl}" -o ogserver.zip && \
+ unzip -qo "ogserver.zip")
+ then
+ errorAndLog "${FUNCNAME}(): "\
+ "error getting ogServer code from ${ogserverUrl}"
+ return 1
+ fi
+ rm -f ogserver.zip
+ echoAndLog "${FUNCNAME}(): ogServer code was downloaded"
- # Compilar OpenGnsys Server
echoAndLog "${FUNCNAME}(): Recompiling OpenGnsys Admin Server"
- pushd $WORKDIR/opengnsys/admin/Sources/Services/ogAdmServer
+ pushd "$WORKDIR/ogServer-$BRANCH"
autoreconf -fi && ./configure && make && moveNewService ogAdmServer $INSTALL_TARGET/sbin
if [ $? -ne 0 ]; then
- echoAndLog "${FUNCNAME}(): error while compiling OpenGnsys Admin Server"
- hayErrores=1
+ echoAndLog "${FUNCNAME}(): error while compiling OpenGnsys Server"
+ error=1
fi
popd
# Parar antiguo servicio de repositorio.
@@ -1080,7 +1092,7 @@ function compileServices()
grep -q "APITOKEN=" $INSTALL_TARGET/etc/ogAdmServer.cfg || \
$INSTALL_TARGET/bin/settoken -f
- return $hayErrores
+ return $error
}
@@ -1339,7 +1351,7 @@ updateDownloadableFiles
makeDoxygenFiles
# Recompilar y actualizar los servicios del sistema
-if compileServices; then
+if ogServerCompilation; then
# Restart services, if necessary.
if [ "$NEWSERVICES" ]; then
echoAndLog "Restarting OpenGnsys services"